package com.jeeplus.modules.wexinpackage.access.entity;

import java.util.Date;

/**
 * 成员变更通知
 */
public class ChangeNumber {
   private String ToUserName;//企业微信CorpID
   private String FromUserName;//	此事件该值固定为sys，表示该消息由系统生成
   private String CreateTime;//	消息创建时间 （整型）
   private String MsgType;//	消息的类型，此时固定为event
   private String Event;//	事件的类型，此时固定为change_contact
   private String ChangeType;//	此时固定为create_user
   private String UserID;//	成员UserID
   private String Name;//	成员名称
   private String Department;//	成员部门列表，仅返回该应用有查看权限的部门id
   private String IsLeaderInDept;//	表示所在部门是否为上级，0-否，1-是，顺序与Department字段的部门逐一对应
   private String Mobile;//	手机号码
   private String Position;//	职位信息。长度为0~64个字节
   private String Gender;//	性别，1表示男性，2表示女性
   private String Email;//	邮箱
   private String Status;//	激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）。
   private String Avatar;//	头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可。
   private String Alias;//成员别名
   private String Telephone;//	座机
   private String Address;//	地址
   private String ExtAttr;//	扩展属性
   private String Type;//	扩展属性类型: 0-本文 1-网页
   private String Text;//	文本属性类型，扩展属性类型为0时填写
   private String Value;//	文本属性内容
   private String Web;//	网页类型属性，扩展属性类型为1时填写
   private String Title;//	网页的展示标题
   private String Url;//	网页的url

    public String getToUserName() {
        return ToUserName;
    }

    public void setToUserName(String toUserName) {
        ToUserName = toUserName;
    }

    public String getFromUserName() {
        return FromUserName;
    }

    public void setFromUserName(String fromUserName) {
        FromUserName = fromUserName;
    }

    public String getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(String createTime) {
        CreateTime = createTime;
    }

    public String getMsgType() {
        return MsgType;
    }

    public void setMsgType(String msgType) {
        MsgType = msgType;
    }

    public String getEvent() {
        return Event;
    }

    public void setEvent(String event) {
        Event = event;
    }

    public String getChangeType() {
        return ChangeType;
    }

    public void setChangeType(String changeType) {
        ChangeType = changeType;
    }

    public String getUserID() {
        return UserID;
    }

    public void setUserID(String userID) {
        UserID = userID;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getDepartment() {
        return Department;
    }

    public void setDepartment(String department) {
        Department = department;
    }

    public String getIsLeaderInDept() {
        return IsLeaderInDept;
    }

    public void setIsLeaderInDept(String isLeaderInDept) {
        IsLeaderInDept = isLeaderInDept;
    }

    public String getMobile() {
        return Mobile;
    }

    public void setMobile(String mobile) {
        Mobile = mobile;
    }

    public String getPosition() {
        return Position;
    }

    public void setPosition(String position) {
        Position = position;
    }

    public String getGender() {
        return Gender;
    }

    public void setGender(String gender) {
        Gender = gender;
    }

    public String getEmail() {
        return Email;
    }

    public void setEmail(String email) {
        Email = email;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public String getAvatar() {
        return Avatar;
    }

    public void setAvatar(String avatar) {
        Avatar = avatar;
    }

    public String getAlias() {
        return Alias;
    }

    public void setAlias(String alias) {
        Alias = alias;
    }

    public String getTelephone() {
        return Telephone;
    }

    public void setTelephone(String telephone) {
        Telephone = telephone;
    }

    public String getAddress() {
        return Address;
    }

    public void setAddress(String address) {
        Address = address;
    }

    public String getExtAttr() {
        return ExtAttr;
    }

    public void setExtAttr(String extAttr) {
        ExtAttr = extAttr;
    }

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    public String getText() {
        return Text;
    }

    public void setText(String text) {
        Text = text;
    }

    public String getValue() {
        return Value;
    }

    public void setValue(String value) {
        Value = value;
    }

    public String getWeb() {
        return Web;
    }

    public void setWeb(String web) {
        Web = web;
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public String getUrl() {
        return Url;
    }

    public void setUrl(String url) {
        Url = url;
    }
}
